<?php

namespace CodeZone\Bible\CodeZone\Router\Middleware;

use CodeZone\Bible\Illuminate\Http\Request;
use CodeZone\Bible\Symfony\Component\HttpFoundation\Response;
/** @internal */
class SetHeaders implements Middleware
{
    /**
     * Handles a request and prepares the response headers.
     *
     * @param Request $request The request object.
     * @param Response $response The response object.
     * @param callable $next The next middleware or handler to invoke.
     *
     * @return mixed The response generated by the next middleware or handler.
     */
    public function handle(Request $request, Response $response, $next)
    {
        if (\headers_sent()) {
            return $next($request, $response);
        }
        foreach ($response->headers->all() as $key => $value) {
            \header($key . ': ' . $value[0]);
        }
        if (\is_array($response->getContent())) {
            \header('Content-Type: application/json');
        }
        status_header($response->getStatusCode());
        return $next($request, $response);
    }
}
