<?php

namespace CodeZone\Bible\Tests;

use CodeZone\Bible\CodeZone\Router\Middleware\HandleErrors;
use CodeZone\Bible\Illuminate\Http\Request;
use CodeZone\Bible\Illuminate\Http\Response;
use function CodeZone\Bible\CodeZone\Router\container;
/** @internal */
class HandleErrorsMiddlewareTest extends TestCase
{
    use HasRouter;
    /**
     * @test
     */
    public function it_handles_errors()
    {
        $this->router();
        $request = container()->make(Request::class);
        $response = container()->make(Response::class);
        $middleware = container()->make(HandleErrors::class);
        $response->setStatusCode(404);
        $this->expectException(\Exception::class);
        $middleware->handle($request, $response, function ($request, $response) {
            $this->assertEquals(404, $response->getStatusCode());
        });
    }
    /**
     * @test
     */
    public function it_allows_success()
    {
        $this->router();
        $request = container()->make(Request::class);
        $response = container()->make(Response::class);
        $middleware = container()->make(HandleErrors::class);
        $response->setStatusCode(200);
        $middleware->handle($request, $response, function ($request, $response) {
            $this->assertEquals(200, $response->getStatusCode());
        });
    }
}
