<?php

namespace CodeZone\Bible\Tests;

use CodeZone\Bible\CodeZone\Router\Middleware\HandleRedirects;
use CodeZone\Bible\Illuminate\Http\RedirectResponse;
use CodeZone\Bible\Illuminate\Http\Request;
use function CodeZone\Bible\CodeZone\Router\container;
/** @internal */
class HandleRedirectsMiddlewareTest extends TestCase
{
    use HasRouter;
    /**
     * @test
     */
    public function it_handles_url_redirects()
    {
        $this->router();
        $request = container()->make(Request::class);
        $response = $this->createPartialMock(RedirectResponse::class, ['send']);
        $response->expects($this->once())->method('send');
        $response->setStatusCode(301);
        $mock = $this->createPartialMock(HandleRedirects::class, ['exit']);
        $mock->expects($this->once())->method('exit');
        $mock->handle($request, $response, function ($request, $response) {
            $this->assertEquals(301, $response->getStatusCode());
        });
    }
}
