<?php

declare (strict_types=1);
namespace CodeZone\Bible\Doctrine\Inflector\Rules\French;

use CodeZone\Bible\Doctrine\Inflector\Rules\Patterns;
use CodeZone\Bible\Doctrine\Inflector\Rules\Ruleset;
use CodeZone\Bible\Doctrine\Inflector\Rules\Substitutions;
use CodeZone\Bible\Doctrine\Inflector\Rules\Transformations;
/** @internal */
final class Rules
{
    public static function getSingularRuleset() : Ruleset
    {
        return new Ruleset(new Transformations(...Inflectible::getSingular()), new Patterns(...Uninflected::getSingular()), (new Substitutions(...Inflectible::getIrregular()))->getFlippedSubstitutions());
    }
    public static function getPluralRuleset() : Ruleset
    {
        return new Ruleset(new Transformations(...Inflectible::getPlural()), new Patterns(...Uninflected::getPlural()), new Substitutions(...Inflectible::getIrregular()));
    }
}
