<?php

// scoper-autoload.php @generated by PhpScoper

$loader = (static function () {
    // Backup the autoloaded Composer files
    $existingComposerAutoloadFiles = $GLOBALS['__composer_autoload_files'] ?? [];

    $loader = require_once __DIR__.'/autoload.php';
    // Ensure InstalledVersions is available
    $installedVersionsPath = __DIR__.'/composer/InstalledVersions.php';
    if (file_exists($installedVersionsPath)) require_once $installedVersionsPath;

    // Restore the backup and ensure the excluded files are properly marked as loaded
    $GLOBALS['__composer_autoload_files'] = \array_merge(
        $existingComposerAutoloadFiles,
        \array_fill_keys([], true)
    );

    return $loader;
})();

// Class aliases. For more information see:
// https://github.com/humbug/php-scoper/blob/master/docs/further-reading.md#class-aliases
if (!function_exists('humbug_phpscoper_expose_class')) {
    function humbug_phpscoper_expose_class($exposed, $prefixed) {
        if (!class_exists($exposed, false) && !interface_exists($exposed, false) && !trait_exists($exposed, false)) {
            spl_autoload_call($prefixed);
        }
    }
}
humbug_phpscoper_expose_class('Normalizer', 'CodeZone\Bible\Normalizer');
humbug_phpscoper_expose_class('JsonException', 'CodeZone\Bible\JsonException');
humbug_phpscoper_expose_class('Stringable', 'CodeZone\Bible\Stringable');
humbug_phpscoper_expose_class('Attribute', 'CodeZone\Bible\Attribute');
humbug_phpscoper_expose_class('PhpToken', 'CodeZone\Bible\PhpToken');
humbug_phpscoper_expose_class('UnhandledMatchError', 'CodeZone\Bible\UnhandledMatchError');
humbug_phpscoper_expose_class('ValueError', 'CodeZone\Bible\ValueError');

// Function aliases. For more information see:
// https://github.com/humbug/php-scoper/blob/master/docs/further-reading.md#function-aliases
if (!function_exists('app')) { function app() { return \CodeZone\Bible\app(...func_get_args()); } }
if (!function_exists('array_key_first')) { function array_key_first() { return \CodeZone\Bible\array_key_first(...func_get_args()); } }
if (!function_exists('array_key_last')) { function array_key_last() { return \CodeZone\Bible\array_key_last(...func_get_args()); } }
if (!function_exists('collect')) { function collect() { return \CodeZone\Bible\collect(...func_get_args()); } }
if (!function_exists('cookie')) { function cookie() { return \CodeZone\Bible\cookie(...func_get_args()); } }
if (!function_exists('ctype_alnum')) { function ctype_alnum() { return \CodeZone\Bible\ctype_alnum(...func_get_args()); } }
if (!function_exists('ctype_alpha')) { function ctype_alpha() { return \CodeZone\Bible\ctype_alpha(...func_get_args()); } }
if (!function_exists('ctype_cntrl')) { function ctype_cntrl() { return \CodeZone\Bible\ctype_cntrl(...func_get_args()); } }
if (!function_exists('ctype_digit')) { function ctype_digit() { return \CodeZone\Bible\ctype_digit(...func_get_args()); } }
if (!function_exists('ctype_graph')) { function ctype_graph() { return \CodeZone\Bible\ctype_graph(...func_get_args()); } }
if (!function_exists('ctype_lower')) { function ctype_lower() { return \CodeZone\Bible\ctype_lower(...func_get_args()); } }
if (!function_exists('ctype_print')) { function ctype_print() { return \CodeZone\Bible\ctype_print(...func_get_args()); } }
if (!function_exists('ctype_punct')) { function ctype_punct() { return \CodeZone\Bible\ctype_punct(...func_get_args()); } }
if (!function_exists('ctype_space')) { function ctype_space() { return \CodeZone\Bible\ctype_space(...func_get_args()); } }
if (!function_exists('ctype_upper')) { function ctype_upper() { return \CodeZone\Bible\ctype_upper(...func_get_args()); } }
if (!function_exists('ctype_xdigit')) { function ctype_xdigit() { return \CodeZone\Bible\ctype_xdigit(...func_get_args()); } }
if (!function_exists('data_get')) { function data_get() { return \CodeZone\Bible\data_get(...func_get_args()); } }
if (!function_exists('dd')) { function dd() { return \CodeZone\Bible\dd(...func_get_args()); } }
if (!function_exists('dump')) { function dump() { return \CodeZone\Bible\dump(...func_get_args()); } }
if (!function_exists('e')) { function e() { return \CodeZone\Bible\e(...func_get_args()); } }
if (!function_exists('fdiv')) { function fdiv() { return \CodeZone\Bible\fdiv(...func_get_args()); } }
if (!function_exists('filled')) { function filled() { return \CodeZone\Bible\filled(...func_get_args()); } }
if (!function_exists('get_debug_type')) { function get_debug_type() { return \CodeZone\Bible\get_debug_type(...func_get_args()); } }
if (!function_exists('get_resource_id')) { function get_resource_id() { return \CodeZone\Bible\get_resource_id(...func_get_args()); } }
if (!function_exists('getallheaders')) { function getallheaders() { return \CodeZone\Bible\getallheaders(...func_get_args()); } }
if (!function_exists('head')) { function head() { return \CodeZone\Bible\head(...func_get_args()); } }
if (!function_exists('hrtime')) { function hrtime() { return \CodeZone\Bible\hrtime(...func_get_args()); } }
if (!function_exists('idn_to_ascii')) { function idn_to_ascii() { return \CodeZone\Bible\idn_to_ascii(...func_get_args()); } }
if (!function_exists('idn_to_utf8')) { function idn_to_utf8() { return \CodeZone\Bible\idn_to_utf8(...func_get_args()); } }
if (!function_exists('is_countable')) { function is_countable() { return \CodeZone\Bible\is_countable(...func_get_args()); } }
if (!function_exists('mb_check_encoding')) { function mb_check_encoding() { return \CodeZone\Bible\mb_check_encoding(...func_get_args()); } }
if (!function_exists('mb_chr')) { function mb_chr() { return \CodeZone\Bible\mb_chr(...func_get_args()); } }
if (!function_exists('mb_convert_case')) { function mb_convert_case() { return \CodeZone\Bible\mb_convert_case(...func_get_args()); } }
if (!function_exists('mb_convert_encoding')) { function mb_convert_encoding() { return \CodeZone\Bible\mb_convert_encoding(...func_get_args()); } }
if (!function_exists('mb_convert_variables')) { function mb_convert_variables() { return \CodeZone\Bible\mb_convert_variables(...func_get_args()); } }
if (!function_exists('mb_decode_mimeheader')) { function mb_decode_mimeheader() { return \CodeZone\Bible\mb_decode_mimeheader(...func_get_args()); } }
if (!function_exists('mb_decode_numericentity')) { function mb_decode_numericentity() { return \CodeZone\Bible\mb_decode_numericentity(...func_get_args()); } }
if (!function_exists('mb_detect_encoding')) { function mb_detect_encoding() { return \CodeZone\Bible\mb_detect_encoding(...func_get_args()); } }
if (!function_exists('mb_detect_order')) { function mb_detect_order() { return \CodeZone\Bible\mb_detect_order(...func_get_args()); } }
if (!function_exists('mb_encode_mimeheader')) { function mb_encode_mimeheader() { return \CodeZone\Bible\mb_encode_mimeheader(...func_get_args()); } }
if (!function_exists('mb_encode_numericentity')) { function mb_encode_numericentity() { return \CodeZone\Bible\mb_encode_numericentity(...func_get_args()); } }
if (!function_exists('mb_encoding_aliases')) { function mb_encoding_aliases() { return \CodeZone\Bible\mb_encoding_aliases(...func_get_args()); } }
if (!function_exists('mb_get_info')) { function mb_get_info() { return \CodeZone\Bible\mb_get_info(...func_get_args()); } }
if (!function_exists('mb_http_input')) { function mb_http_input() { return \CodeZone\Bible\mb_http_input(...func_get_args()); } }
if (!function_exists('mb_http_output')) { function mb_http_output() { return \CodeZone\Bible\mb_http_output(...func_get_args()); } }
if (!function_exists('mb_internal_encoding')) { function mb_internal_encoding() { return \CodeZone\Bible\mb_internal_encoding(...func_get_args()); } }
if (!function_exists('mb_language')) { function mb_language() { return \CodeZone\Bible\mb_language(...func_get_args()); } }
if (!function_exists('mb_list_encodings')) { function mb_list_encodings() { return \CodeZone\Bible\mb_list_encodings(...func_get_args()); } }
if (!function_exists('mb_ord')) { function mb_ord() { return \CodeZone\Bible\mb_ord(...func_get_args()); } }
if (!function_exists('mb_output_handler')) { function mb_output_handler() { return \CodeZone\Bible\mb_output_handler(...func_get_args()); } }
if (!function_exists('mb_parse_str')) { function mb_parse_str() { return \CodeZone\Bible\mb_parse_str(...func_get_args()); } }
if (!function_exists('mb_scrub')) { function mb_scrub() { return \CodeZone\Bible\mb_scrub(...func_get_args()); } }
if (!function_exists('mb_str_split')) { function mb_str_split() { return \CodeZone\Bible\mb_str_split(...func_get_args()); } }
if (!function_exists('mb_stripos')) { function mb_stripos() { return \CodeZone\Bible\mb_stripos(...func_get_args()); } }
if (!function_exists('mb_stristr')) { function mb_stristr() { return \CodeZone\Bible\mb_stristr(...func_get_args()); } }
if (!function_exists('mb_strlen')) { function mb_strlen() { return \CodeZone\Bible\mb_strlen(...func_get_args()); } }
if (!function_exists('mb_strpos')) { function mb_strpos() { return \CodeZone\Bible\mb_strpos(...func_get_args()); } }
if (!function_exists('mb_strrchr')) { function mb_strrchr() { return \CodeZone\Bible\mb_strrchr(...func_get_args()); } }
if (!function_exists('mb_strrichr')) { function mb_strrichr() { return \CodeZone\Bible\mb_strrichr(...func_get_args()); } }
if (!function_exists('mb_strripos')) { function mb_strripos() { return \CodeZone\Bible\mb_strripos(...func_get_args()); } }
if (!function_exists('mb_strrpos')) { function mb_strrpos() { return \CodeZone\Bible\mb_strrpos(...func_get_args()); } }
if (!function_exists('mb_strstr')) { function mb_strstr() { return \CodeZone\Bible\mb_strstr(...func_get_args()); } }
if (!function_exists('mb_strtolower')) { function mb_strtolower() { return \CodeZone\Bible\mb_strtolower(...func_get_args()); } }
if (!function_exists('mb_strtoupper')) { function mb_strtoupper() { return \CodeZone\Bible\mb_strtoupper(...func_get_args()); } }
if (!function_exists('mb_strwidth')) { function mb_strwidth() { return \CodeZone\Bible\mb_strwidth(...func_get_args()); } }
if (!function_exists('mb_substitute_character')) { function mb_substitute_character() { return \CodeZone\Bible\mb_substitute_character(...func_get_args()); } }
if (!function_exists('mb_substr')) { function mb_substr() { return \CodeZone\Bible\mb_substr(...func_get_args()); } }
if (!function_exists('mb_substr_count')) { function mb_substr_count() { return \CodeZone\Bible\mb_substr_count(...func_get_args()); } }
if (!function_exists('normalizer_is_normalized')) { function normalizer_is_normalized() { return \CodeZone\Bible\normalizer_is_normalized(...func_get_args()); } }
if (!function_exists('normalizer_normalize')) { function normalizer_normalize() { return \CodeZone\Bible\normalizer_normalize(...func_get_args()); } }
if (!function_exists('optional')) { function optional() { return \CodeZone\Bible\optional(...func_get_args()); } }
if (!function_exists('preg_last_error_msg')) { function preg_last_error_msg() { return \CodeZone\Bible\preg_last_error_msg(...func_get_args()); } }
if (!function_exists('retry')) { function retry() { return \CodeZone\Bible\retry(...func_get_args()); } }
if (!function_exists('sapi_windows_vt100_support')) { function sapi_windows_vt100_support() { return \CodeZone\Bible\sapi_windows_vt100_support(...func_get_args()); } }
if (!function_exists('spl_object_id')) { function spl_object_id() { return \CodeZone\Bible\spl_object_id(...func_get_args()); } }
if (!function_exists('str_contains')) { function str_contains() { return \CodeZone\Bible\str_contains(...func_get_args()); } }
if (!function_exists('str_ends_with')) { function str_ends_with() { return \CodeZone\Bible\str_ends_with(...func_get_args()); } }
if (!function_exists('str_starts_with')) { function str_starts_with() { return \CodeZone\Bible\str_starts_with(...func_get_args()); } }
if (!function_exists('stream_isatty')) { function stream_isatty() { return \CodeZone\Bible\stream_isatty(...func_get_args()); } }
if (!function_exists('tap')) { function tap() { return \CodeZone\Bible\tap(...func_get_args()); } }
if (!function_exists('utf8_decode')) { function utf8_decode() { return \CodeZone\Bible\utf8_decode(...func_get_args()); } }
if (!function_exists('utf8_encode')) { function utf8_encode() { return \CodeZone\Bible\utf8_encode(...func_get_args()); } }
if (!function_exists('value')) { function value() { return \CodeZone\Bible\value(...func_get_args()); } }
if (!function_exists('with')) { function with() { return \CodeZone\Bible\with(...func_get_args()); } }

return $loader;
